summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/cgkit')
-rw-r--r--dev-python/cgkit/Manifest2
-rw-r--r--dev-python/cgkit/cgkit-2.0.0.ebuild87
-rw-r--r--dev-python/cgkit/files/cgkit-2.0.0-test.patch11
-rw-r--r--dev-python/cgkit/files/cgkit-py2k-pillow.patch82
-rw-r--r--dev-python/cgkit/files/cgkit-py3k-pillow.patch82
-rw-r--r--dev-python/cgkit/metadata.xml12
6 files changed, 276 insertions, 0 deletions
diff --git a/dev-python/cgkit/Manifest b/dev-python/cgkit/Manifest
new file mode 100644
index 00000000000..12699435122
--- /dev/null
+++ b/dev-python/cgkit/Manifest
@@ -0,0 +1,2 @@
+DIST cgkit-2.0.0-py2k.tar.gz 885682 SHA256 a665037f06bd64dcdb519bb0baa7a8d577b788860a627fd850d5b72a08a3746f SHA512 44e57cafc3ba3aa824c44fe4ad04f350dfe053cafa09523acab220e8a5db45dde042b4fcc3e444dc3c248a43ddd94faac6875f579c2063e6c8feba7841472f7c WHIRLPOOL 0507024920bf84dec311e617c932b6ea2827b4609c915f38fce2baa0ac948b96b3fa51ec82a2770796081f88b3bf0d81f72439e65a87a6e0db4d24ef874b4b9b
+DIST cgkit-2.0.0-py3k.tar.gz 885012 SHA256 6d3fb3f02b4a55544c0698b6627054796d36d338704eb1788228cb6523ec2846 SHA512 0c721d728e2cacb3a5518bfdf49810793a7e4a7efdec54a95d9b8b64099996452a08193c90e1b76f57852c3593bf07e4361ba20c17ea3565413d4997e9cf6c2e WHIRLPOOL 95d53d7fb4b5db2ef680051f0d4bcd86bbd189594a4ca99379104d2b306877806a1a4d4de9a8bcb55aa870ffbd52cd2ef8754cb9857b5561e6f6ca5a26b2d1d0
diff --git a/dev-python/cgkit/cgkit-2.0.0.ebuild b/dev-python/cgkit/cgkit-2.0.0.ebuild
new file mode 100644
index 00000000000..06d206ed9cf
--- /dev/null
+++ b/dev-python/cgkit/cgkit-2.0.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1 eutils scons-utils toolchain-funcs
+
+MY_P="${P/_/}"
+
+DESCRIPTION="Python library for creating 3D images"
+HOMEPAGE="http://cgkit.sourceforge.net"
+SRC_URI="$(python_gen_cond_dep mirror://sourceforge/${PN}/${PN}/${P}/${P}-py2k.tar.gz 'python2*')
+ $(python_gen_cond_dep mirror://sourceforge/${PN}/${PN}/${P}/${P}-py3k.tar.gz 'python3*')"
+
+LICENSE="LGPL-2.1 MPL-1.1 GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="3ds"
+
+RDEPEND=">=dev-libs/boost-1.48[python,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/pyprotocols[${PYTHON_USEDEP}]' 'python2*')
+ dev-python/pyopengl[${PYTHON_USEDEP}]
+ dev-python/pygame[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]
+ 3ds? ( ~media-libs/lib3ds-1.3.0 )"
+DEPEND="${RDEPEND}
+ dev-util/scons"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+cgkit_unpack() {
+ local tarball
+ if [[ ${EPYTHON} == python3* ]]; then
+ tarball=${P}-py3k.tar.gz
+ else
+ tarball=${P}-py2k.tar.gz
+ fi
+ mkdir "${BUILD_DIR}" || die
+ tar -C "${BUILD_DIR}" -x --strip-components 1 -f "${DISTDIR}/${tarball}" || die
+}
+
+src_unpack() {
+ python_parallel_foreach_impl cgkit_unpack
+ mkdir "${S}" || die
+}
+
+python_prepare_all() {
+ return 0
+}
+
+python_prepare() {
+ if [[ ${EPYTHON} == python3* ]]; then
+ epatch "${FILESDIR}/${PN}-py3k-pillow.patch"
+ else
+ epatch "${FILESDIR}/${PN}-py2k-pillow.patch"
+ fi
+ [[ ${PATCHES} ]] && epatch "${PATCHES[@]}"
+
+ sed -e "s/fPIC/fPIC\",\"${CFLAGS// /\",\"}/" -i supportlib/SConstruct
+ cp config_template.cfg config.cfg
+ echo "BOOST_LIB = 'boost_python-${EPYTHON#python}'" >> config.cfg
+ echo "LIBS += ['GL', 'GLU', 'glut']" >> config.cfg
+ if use 3ds; then
+ echo "LIB3DS_AVAILABLE = True" >> config.cfg
+ fi
+
+ sed -e "s:INC_DIRS = \[\]:INC_DIRS = \['/usr/include'\]:" -i setup.py
+
+ # Remove invalid test
+ rm -f unittests/test_pointcloud.py || die
+}
+
+python_compile() {
+ pushd supportlib > /dev/null || die
+ escons
+ popd > /dev/null || die
+ distutils-r1_python_compile
+}
+
+python_test() {
+ pushd unittests > /dev/null || die
+ mkdir tmp || die
+ "${PYTHON}" all.py || die "Testing failed with ${EPYTHON}"
+ popd > /dev/null || die
+}
diff --git a/dev-python/cgkit/files/cgkit-2.0.0-test.patch b/dev-python/cgkit/files/cgkit-2.0.0-test.patch
new file mode 100644
index 00000000000..e5c198415da
--- /dev/null
+++ b/dev-python/cgkit/files/cgkit-2.0.0-test.patch
@@ -0,0 +1,11 @@
+diff -ur cgkit-2.0.0alpha9.orig/unittests/test_sequence.py cgkit-2.0.0alpha9/unittests/test_sequence.py
+--- unittests/test_sequence.py 2009-08-15 19:37:35.000000000 +0800
++++ unittests/test_sequence.py 2012-11-07 06:58:07.024791790 +0800
+@@ -594,6 +594,7 @@
+ ("spam1_5.tif", "foo0006.tif")], list(ong))
+
+
++@unittest.skip("Seeks absent dep 3delight")
+ class TestSeqUtils(unittest.TestCase):
+ """Test the sequence utilities.
+ """
diff --git a/dev-python/cgkit/files/cgkit-py2k-pillow.patch b/dev-python/cgkit/files/cgkit-py2k-pillow.patch
new file mode 100644
index 00000000000..0cddbd60b86
--- /dev/null
+++ b/dev-python/cgkit/files/cgkit-py2k-pillow.patch
@@ -0,0 +1,82 @@
+From 83cb693954f6f56e50a1aa90d935e94e9e8bac8e Mon Sep 17 00:00:00 2001
+From: Mike Gilbert <floppym@gentoo.org>
+Date: Wed, 5 Jun 2013 20:39:05 -0400
+Subject: [PATCH] Update PIL imports for compatibility with Pillow
+
+---
+ cgkit/_Image.py | 2 +-
+ cgkit/_ImageDraw.py | 2 +-
+ cgkit/riutil.py | 2 +-
+ utilities/checkenv.py | 2 +-
+ utilities/postbake.py | 3 ++-
+ 5 files changed, 6 insertions(+), 5 deletions(-)
+
+diff --git a/cgkit/_Image.py b/cgkit/_Image.py
+index 7266d4b..0122cd2 100644
+--- a/cgkit/_Image.py
++++ b/cgkit/_Image.py
+@@ -38,7 +38,7 @@
+ try:
+
+ # Try to import the original module...
+- from Image import *
++ from PIL.Image import *
+
+ except ImportError:
+
+diff --git a/cgkit/_ImageDraw.py b/cgkit/_ImageDraw.py
+index dfd6cf8..d1d3cff 100644
+--- a/cgkit/_ImageDraw.py
++++ b/cgkit/_ImageDraw.py
+@@ -38,7 +38,7 @@
+ try:
+
+ # Try to import the original module...
+- from ImageDraw import *
++ from PIL.ImageDraw import *
+
+ except ImportError:
+
+diff --git a/cgkit/riutil.py b/cgkit/riutil.py
+index 301e0f6..ae373c3 100644
+--- a/cgkit/riutil.py
++++ b/cgkit/riutil.py
+@@ -38,7 +38,7 @@ import types, sys, getpass
+ from cgtypes import vec3
+ from ri import *
+ try:
+- import Image
++ from PIL import Image
+ _PIL_installed = 1
+ except ImportError:
+ _PIL_installed = 0
+diff --git a/utilities/checkenv.py b/utilities/checkenv.py
+index b95dbf7..c93235e 100644
+--- a/utilities/checkenv.py
++++ b/utilities/checkenv.py
+@@ -96,7 +96,7 @@ visualize them. You can obtain PyOpenGL at http://pyopengl.sourceforge.net/
+ # Check PIL
+ chkmsg("PIL")
+ try:
+- import Image
++ from PIL import Image
+ print "is installed"
+ except:
+ print "missing"
+diff --git a/utilities/postbake.py b/utilities/postbake.py
+index cadd11d..74f894a 100644
+--- a/utilities/postbake.py
++++ b/utilities/postbake.py
+@@ -34,7 +34,8 @@
+ #
+ # ***** END LICENSE BLOCK *****
+
+-import sys, optparse, Image
++import sys, optparse
++from PIL import Image
+
+ # shift
+ def shift(img, dx, dy):
+--
+1.8.2.1
+
diff --git a/dev-python/cgkit/files/cgkit-py3k-pillow.patch b/dev-python/cgkit/files/cgkit-py3k-pillow.patch
new file mode 100644
index 00000000000..734ff6eb356
--- /dev/null
+++ b/dev-python/cgkit/files/cgkit-py3k-pillow.patch
@@ -0,0 +1,82 @@
+From 1953081269ce1cfdf29023a8590db40312c43194 Mon Sep 17 00:00:00 2001
+From: Mike Gilbert <floppym@gentoo.org>
+Date: Wed, 5 Jun 2013 20:39:05 -0400
+Subject: [PATCH] Update PIL imports for compatibility with Pillow
+
+---
+ cgkit/_Image.py | 2 +-
+ cgkit/_ImageDraw.py | 2 +-
+ cgkit/riutil.py | 2 +-
+ utilities/checkenv.py | 2 +-
+ utilities/postbake.py | 3 ++-
+ 5 files changed, 6 insertions(+), 5 deletions(-)
+
+diff --git a/cgkit/_Image.py b/cgkit/_Image.py
+index 7266d4b..0122cd2 100644
+--- a/cgkit/_Image.py
++++ b/cgkit/_Image.py
+@@ -38,7 +38,7 @@
+ try:
+
+ # Try to import the original module...
+- from Image import *
++ from PIL.Image import *
+
+ except ImportError:
+
+diff --git a/cgkit/_ImageDraw.py b/cgkit/_ImageDraw.py
+index dfd6cf8..d1d3cff 100644
+--- a/cgkit/_ImageDraw.py
++++ b/cgkit/_ImageDraw.py
+@@ -38,7 +38,7 @@
+ try:
+
+ # Try to import the original module...
+- from ImageDraw import *
++ from PIL.ImageDraw import *
+
+ except ImportError:
+
+diff --git a/cgkit/riutil.py b/cgkit/riutil.py
+index b51f192..ae0fba2 100644
+--- a/cgkit/riutil.py
++++ b/cgkit/riutil.py
+@@ -38,7 +38,7 @@ import types, sys, getpass
+ from .cgtypes import vec3
+ from .ri import *
+ try:
+- import Image
++ from PIL import Image
+ _PIL_installed = 1
+ except ImportError:
+ _PIL_installed = 0
+diff --git a/utilities/checkenv.py b/utilities/checkenv.py
+index dda600f..8b6f74e 100644
+--- a/utilities/checkenv.py
++++ b/utilities/checkenv.py
+@@ -96,7 +96,7 @@ visualize them. You can obtain PyOpenGL at http://pyopengl.sourceforge.net/
+ # Check PIL
+ chkmsg("PIL")
+ try:
+- import Image
++ from PIL import Image
+ print("is installed")
+ except:
+ print("missing")
+diff --git a/utilities/postbake.py b/utilities/postbake.py
+index 90e3140..27728c2 100644
+--- a/utilities/postbake.py
++++ b/utilities/postbake.py
+@@ -34,7 +34,8 @@
+ #
+ # ***** END LICENSE BLOCK *****
+
+-import sys, optparse, Image
++import sys, optparse
++from PIL import Image
+
+ # shift
+ def shift(img, dx, dy):
+--
+1.8.2.1
+
diff --git a/dev-python/cgkit/metadata.xml b/dev-python/cgkit/metadata.xml
new file mode 100644
index 00000000000..18f82f2c5de
--- /dev/null
+++ b/dev-python/cgkit/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <use>
+ <flag name='3ds'>Enable support for importing 3D Studio models</flag>
+ </use>
+ <longdescription>Python library for creating 3D images</longdescription>
+ <longdescription lang="ja">
+ 3D画像を作成するためのPython言語ライブラリです。
+ </longdescription>
+</pkgmetadata>